<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="25dp">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="100dp"
            app:srcCompat="@drawable/ic_presence"
            app:tint="@color/colorAccent" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:textAlignment="center"
            style="@style/TextTitle"
            android:text="@string/presence_title" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:textAlignment="center"
            android:textColor="@color/colorAccentDark"
            android:textStyle="bold"
            android:text="@string/presence_date" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:textAlignment="center"
            android:text="@string/presence_content" />

        <ProgressBar
            android:id="@+id/progress"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="20dp"
            android:visibility="gone"/>

        <LinearLayout
            android:id="@+id/presence_answer_unanswered"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:animateLayoutChanges="true">

            <LinearLayout
                android:id="@+id/presence_buttons_container"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginTop="20dp"
                android:layout_marginBottom="20dp"
                android:visibility="visible"
                android:animateLayoutChanges="true">

                <Button
                    android:id="@+id/presence_yes"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    style="@style/SecondaryButtonStyle"
                    android:text="@string/yes"/>

                <!-- Spacer -->
                <View
                    android:layout_width="20dp"
                    android:layout_height="match_parent"/>

                <Button
                    android:id="@+id/presence_no"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    style="@style/SecondaryButtonStyle"
                    android:text="@string/no"/>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/presence_answer_answering"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:animateLayoutChanges="true"
                android:visibility="gone">
                <EditText
                    android:id="@+id/presence_notes"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="20dp"
                    android:lines="3"
                    android:gravity="center"
                    android:hint="@string/presence_notes_placeholder"
                    style="@style/EditTextStyle"
                    android:textSize="20dp"/>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp"
                    android:textAlignment="center"
                    android:text="@string/presence_answer_alert"/>

                <Button
                    android:id="@+id/presence_sumbit"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="30dp"
                    android:paddingRight="60dp"
                    android:drawableLeft="@drawable/ic_presence_send"
                    android:text="@string/send"/>
            </LinearLayout>
        </LinearLayout>

        <TextView
            android:id="@+id/presence_answer_answered_yes"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:textAlignment="center"
            android:textColor="@color/colorAccent"
            android:text="@string/presence_answered_yes"
            android:visibility="gone"/>

        <TextView
            android:id="@+id/presence_answer_answered_no"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:textAlignment="center"
            android:textColor="@color/colorAccent"
            android:text="@string/presence_answered_no"
            android:visibility="gone" />

    </LinearLayout>

</ScrollView>